EDIT - bug #6453

Deleting text from min/max fields throws NPE
03/02/2017 09:20 AM - Andreas Mdller

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Muller % Done: 100%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 4.6

Severity: normal Found in Version: Release 4.5
Description

E.g. for GatheringEvent

login : admin
editor version : 4.5.1
server : api.cybertaxonomy.org (cybertaxonomy.org) / caryo_nepenthaceae
schema version : 4.1.0.0.201607300000
os : Windows Server 2012 R2 6.3 amdo64
java : 1.8.0_121
java.lang.NullPointerException
at sun.misc.FloatingDecimal.readJavaFormatString (FloatingDecimal. java:1838)
at sun.misc.FloatingDecimal.parseDouble (FloatingDecimal. java:110)
at java.lang.Double.parseDouble (Double. java:538)
at java.lang.Double.<init> (Double. java:608)
at eu.etaxonomy.taxeditor.ui.element.NumberWithLabelElement.getDouble (NumberWithLabelElement. j
ava:95)
at eu.etaxonomy.taxeditor.ui.element.MinMaxTextSection.updateMaximum (MinMaxTextSection. java:23

at eu.etaxonomy.taxeditor.ui.element.MinMaxTextSection.handleEvent (MinMaxTextSection.java:165)

at eu.etaxonomy.taxeditor.ui.element.MinMaxTextSection.propertyChange (MinMaxTextSection. java:l
49)

at eu.etaxonomy.taxeditor.ui.element.AbstractCdmFormElement.firePropertyChangeEvent (AbstractCd
mFormElement. java:235)

at eu.etaxonomy.taxeditor.ui.element.TextWithLabelElement.modifyText (TextWithLabelElement. java
:186)

at eu.etaxonomy.taxeditor.ui.element.NumberWithLabelElement .modifyText (NumberWithLabelElement.
java:118)

at org.eclipse.swt.widgets.TypedListener.handleEvent (TypedListener.java:179)

at org.eclipse.swt.widgets.EventTable.sendEvent (EventTable. java:84)

at org.eclipse.swt.widgets.Widget.sendEvent (Widget. java:1053)

at org.eclipse.swt.widgets.Widget.sendEvent (Widget.java:1077)

at org.eclipse.swt.widgets.Widget.sendEvent (Widget.java:1058)

at org.eclipse.swt.widgets.Text.wmCommandChild (Text.java:2610)

at org.eclipse.swt.widgets.Control.WM_COMMAND (Control.java:4669)

at org.eclipse.swt.widgets.Control.windowProc (Control.java:4531)

at org.eclipse.swt.widgets.Display.windowProc (Display.java:4985)

at org.eclipse.swt.internal.win32.0S.CallWindowProcW (Native Method)

at org.eclipse.swt.internal.win32.0S.CallWindowProc (0S.java:2425)

at org.eclipse.swt.widgets.Text.callWindowProc (Text.java:255)

at org.eclipse.swt.widgets.Control.windowProc (Control.java:4623)

at org.eclipse.swt.widgets.Text.windowProc (Text. java:2254)

at org.eclipse.swt.widgets.Display.windowProc (Display.java:4985)

at org.eclipse.swt.internal.win32.0S.DispatchMessageW (Native Method)

at org.eclipse.swt.internal.win32.0S.DispatchMessage (0S.java:2531)

at org.eclipse.swt.widgets.Display.readAndDispatch (Display.java:3752)

at org.eclipse.jface.window.Window.runEventLoop (Window. java:825)

at org.eclipse.jface.window.Window.open (Window. java:801)

at eu.etaxonomy.taxeditor.ui.selection.EntitySelectionElement$EditListener.widgetSelected (Enti
tySelectionElement. java:410)

at org.eclipse.swt.widgets.TypedListener.handleEvent (TypedListener.java:240)

at org.eclipse.swt.widgets.EventTable.sendEvent (EventTable. java:84)

at org.eclipse.swt.widgets.Widget.sendEvent (Widget. java:1053)
org.eclipse.swt.widgets.Display.runDeferredEvents (Display.java:4165)

org.eclipse.swt.widgets.Display.readAndDispatch (Display.java:3754)
org.eclipse.ui.internal.Workbench.runEventLoop (Workbench.java:2701)

org.eclipse.ui.internal.Workbench.runUI (Workbench. java:2665)

org.eclipse.ui.internal.Workbench.access$4 (Workbench. java:2499)

org.eclipse.ui.internal.Workbench$7.run (Workbench.java:679)
org.eclipse.core.databinding.observable.Realm.runWithDefault (Realm. java:332)
org.eclipse.ui.internal.Workbench.createAndRunWorkbench (Workbench. java:668)

org.eclipse.ui.PlatformUI.createAndRunWorkbench (PlatformUI. java:149)

eu.etaxonomy.taxeditor.Application.start (Application. java:24)
org.eclipse.equinox.internal.app.EclipseAppHandle.run (EclipseAppHandle. java:196)
org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication (EclipseAppLaunc

her.java:110)
org.eclipse.core.runtime.internal.adaptor.EclipselAppLauncher.start (EclipseAppLauncher. java:

org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter. java:344)
org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:179)
sun.reflect.NativeMethodAccessorImpl.invokeO (Native Method)
sun.reflect.NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl. java:62)

sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)

java.lang.reflect.Method.invoke (Method. java:498)

org.eclipse.equinox.launcher.Main.invokeFramework (Main.java:622)

org.eclipse.equinox.launcher.Main.basicRun (Main. java:577)

org.eclipse.equinox.launcher.Main.run (Main.java:1410)

Related issues:

Related to

EDIT - bug #6454: NumberWithLabelElement.getFloat and .getinteger ...

Closed

Associated revisions

Revision 66b9cc46 - 03/02/2017 09:36 AM - Andreas Miiller
fix #6453 fix NPE in min/max

History

#1 - 03/02/2017 09:21 AM - Andreas Miiller

- Description updated

- Status changed from New to In Progress

- Priority changed from New to Highest

#2 - 03/02/2017 09:36 AM - Andreas Miiller

- Status changed from In Progress to Resolved

- % Done changed from 0 to 50

Applied in changeset taxeditor|66b9cc46fdfd1938cb1f69b6191e9967995d8cf9.

#3 - 03/02/2017 09:39 AM - Andreas Miiller

- Assignee changed from Andreas Miiller to Patrick Plitzner

- % Done changed from 50 to 0

#4 - 03/02/2017 09:43 AM - Andreas Miiller

- Related to bug #6454: NumberWithLabelElement.getFloat and .getinteger should return null added

#5 - 03/08/2017 05:05 PM - Patrick Plitzner

- Status changed from Resolved to Closed

- Assignee changed from Patrick Plitzner to Andreas Mliller

- % Done changed from 0 to 100

works fine
https://dev.e-taxonomy.eu/redmine/projects/edit/repository/taxeditor/revisions/66b9cc46fdfd1938cb1f69b6191e9967995d8cf9
